	program match
c
c a routine to match the 2MASS data and the Kaluzny et al region
c 104A (47 Tuc) VI data, to make a single output file with VI and K data
c
	real*8 j,k,sj,sk,ra2,dec2,
	character*??? line

	open(unit=7,file='n104a.2mass.tbl',status='old')

c read header lines

        do i = 1, ??
           read(7,'(a)')line
	enddo


	sepmax = 1.0

	do i = 1,100000
           read(7,'(a)',end=999)line
           read(line,*)ra2,dec2,j,sj,k,sk
	   call find_closest(ra2,dec2,j,sj,k,sk,sepmax)
	enddo
 999	continue
	stop
	end
	   
	subroutine find_closest(ra2,dec2,j,sj,k,sk,sepmax)

	real*8 ra2,dec2,j,sj,k,sk,sepmax

	open(unit=8,file='104a2000.data.sorted',status='old')

	sepmin = 3600.0

	do i = 1,100000
	   read(8,'(a??)')line
           read(line(?:??),*)ra
           read(line(?:??),*)dec

           dx = (ra2-ra)*15.0*dcos(pi*dec/180.0) * 3600.0
           dy = (dec2-dec) * 3600.0

           sep = dsqrt(dx*dx + dy*dy)
           if (sep.lt.sepmin) then
              sepmin = sep
              write(outline(:67),'(a67)')line
              write(outline(68:),'(???)')j,sj,k,sk

